package cviceni4.dao;
import cviceni4.*;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.List;
import org.hibernate.Criteria;
import org.hibernate.Query;
import org.hibernate.Session;
import org.hibernate.criterion.Expression;
import util.HibernateUtil;

/**
 *
 * @author lumi
 */
public class UzivatelDAO {
    
  public static int insert(Uzivatel u) throws Exception {
    Session s = HibernateUtil.getSessionFactory().getCurrentSession();
    try {
    s.beginTransaction();
    s.save(u);
    s.getTransaction().commit();
    }catch (Exception e) {
        s.getTransaction().rollback();
        return 0;
    }
    return 1;
  }

  public static int update(Uzivatel u) throws Exception {
    Session s = HibernateUtil.getSessionFactory().getCurrentSession();
    try {
    s.beginTransaction();
    s.update(u);
    s.getTransaction().commit();
    }catch (Exception e) {
        s.getTransaction().rollback();
        return 0;
    }
    return 1;
  }
  
  public static int delete(Uzivatel u) throws Exception {
    Session s = HibernateUtil.getSessionFactory().getCurrentSession();
    int c = 1;
    try {
    s.beginTransaction();
    s.delete(u);
    s.getTransaction().commit();    
    }catch (Exception e) {
        s.getTransaction().rollback();       
        c = 0;
    } finally {s.close();}
    return c;
  }
  
  public static Uzivatel findByLogin(String login) {
      Session s = HibernateUtil.getSessionFactory().getCurrentSession();
      s.beginTransaction();
      Criteria c = s.createCriteria(Uzivatel.class);
      c.add(Expression.eq("login",login));      
      return (Uzivatel)c.uniqueResult();
  }
  
  public static List<Uzivatel> findAll() {
      Session s = HibernateUtil.getSessionFactory().getCurrentSession();
      s.beginTransaction();
      Query q = s.createQuery("from Uzivatel");
      return q.list();
  }
}
