/*
 * UzivatelForm.java
 *
 * Created on 1. duben 2007, 15:26
 */
package cviceni4.struts.form;

import cviceni4.Uzivatel;
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;

/**
 *
 * Tda reprezentujc data pedvna mezi JSP strnkou a Action tdami. V rmci Struts 1 frameworku
 *je nutn. Form nemus bt uniktn pro kadou akci, ale je mon jej sdlet vce akcemi. Podle toho zda
 *je vytvoen v rmci scope request nebo session je pslun viditeln.
 *
 *V naem konktnm ppad je tak mon jej pout pro vechny akce tkajc se uivatele. Tj. Detail, Vytvoit/Uloit, Smazat.
 *
 * @author Lumr Nvrat
 * @version 1.0
 */
public class UzivatelForm extends org.apache.struts.action.ActionForm {
    private String heslo;

    public String getHeslo() {
        return heslo;
    }

    public void setHeslo(String heslo) {
        this.heslo = heslo;
    }
  
  /**
   * Defaultn konstruktor. Trda nesm mt bu dn nebo prv tento
   */
  public UzivatelForm() {
    super();    
  }
  
  /**
   * Metoda provdjc kontrolu platnosti vstupnch dat. Druh zpsob validace je pomoc 
   * Validator pluginu.   
   *
   * Tda ActionErrors slou k pedvn chyb zptky uivateli. Aby ve bylo korektn je 
   * nutn mt pslun etzce v sobouru na kter odkazuje element <message-resources>
   * v souboru struts-config.xml
   */
 /* public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    ActionErrors errors = new ActionErrors();
    if (getLogin() == null || getLogin().length() < 1) {
      errors.add("login", new ActionMessage("error.login.required"));
    }
    
    if (getJmeno() == null || getJmeno().length() < 1) {
      errors.add("jmeno", new ActionMessage("error.jmeno.required"));
    }

        if (getPrijmeni() == null || getPrijmeni().length() < 1) {
      errors.add("prijmeni", new ActionMessage("error.prijmeni.required"));
    }
        if (getRole() == null || getRole().length() < 1) {
      errors.add("role", new ActionMessage("error.role.required"));
    }  
    return errors;
  }*/

  /**
   * Holds value of property jmeno.
   */
  private String jmeno;

  /**
   * Getter for property jmeno.
   * @return Value of property jmeno.
   */
  public String getJmeno() {
    return this.jmeno;
  }

  /**
   * Setter for property jmeno.
   * @param jmeno New value of property jmeno.
   */
  public void setJmeno(String jmeno) {
    this.jmeno = jmeno;
  }

  /**
   * Holds value of property prijmeni.
   */
  private String prijmeni;

  /**
   * Getter for property prijmeni.
   * @return Value of property prijmeni.
   */
  public String getPrijmeni() {
    return this.prijmeni;
  }

  /**
   * Setter for property prijmeni.
   * @param prijmeni New value of property prijmeni.
   */
  public void setPrijmeni(String prijmeni) {
    this.prijmeni = prijmeni;
  }

  /**
   * Holds value of property role.
   */
  private String role;

  /**
   * Getter for property role.
   * @return Value of property role.
   */
  public String getRole() {
    return this.role;
  }

  /**
   * Setter for property role.
   * @param role New value of property role.
   */
  public void setRole(String role) {
    this.role = role;
  }

  /**
   * Holds value of property login.
   */
  private String login;

  /**
   * Getter for property login.
   * @return Value of property login.
   */
  public String getLogin() {
    return this.login;
  }

  /**
   * Setter for property login.
   * @param login New value of property login.
   */
  public void setLogin(String login) {
    this.login = login;
  }
  
  public void setUzivatel(Uzivatel u) {
    login = u.getLogin();
    jmeno = u.getJmeno();
    prijmeni = u.getPrijmeni();
    role = u.getRole();
    heslo = u.getHeslo();
  }        
  
}
